<?php

function XLSX_LISTA($ACTUALIZAR){
	
	if(strlen($ACTUALIZAR)==0){
		$ACTUALIZAR="NO";
	}
	
	if(!file_exists("listas/lista.xlsx")){
		return "El archivo lista.xlsx no se encuentra";
	}
	if($xlsx=SimpleXLSX::parse('listas/lista.xlsx')) {
		//
		$MIL=3000;
		$CIE=100;
		$CX=0;
		//
		$hojas=$xlsx->sheetNames();
		$H0=trim(strtoupper($hojas[0]));
		if( ($H0==TU("Hoja1"))
			){
			$TODO_OK=1;
			//ejt("DELETE FROM dac_lista");
		}else{
			return "El archivo seleccionado no corresponde";
		}
		if($TODO_OK==1){
			//
			$HOJA=$xlsx->rows(0);
			//
			for($f=9;$f<=$MIL;$f++){
				$DES=trim($HOJA[$f][1]);
				//echo $DES; 
				if(strlen($DES)>0){
					if($ACTUALIZAR=="SI"){
						//EQUIPOS_ADD($DES);
					}
					$TEC="-";
					$MAR=explode(" ",$DES);
					$MAR=$MAR[0];
					for($c=3;$c<=$CIE;$c++){
						$PLA=trim($HOJA[8][$c]);
						if(strlen($PLA)>0){
							$PLA=explode("/",$PLA);
							$PLA=$PLA[0];
							$PRE=trim($HOJA[$f][$c]);
							$PRE_=vbval($PRE);
							$CX++;
							$s="INSERT INTO dac_lista VALUES ($CX,'$DES','$MAR','$TEC',
								'POST PAGO','RENOVACION','$PLA','18 MESES',$PRE_,'$PRE')";
							ejt($s);
						}else{
							break;
						}
					}
				}				
			}						
		}
		return "OK";
	}else{
		//echo SimpleXLSX::parseError();
		return "ERROR";
	}
}
//->OK
//XLSX_LISTA("SI");
?>